> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Experiments

> Gets the details of all experiments for a title.

Allowed entity token types: title

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| FeatureNotConfiguredForTitle | 1177 |
| ProductDisabledForTitle | 1609 |




## OpenAPI

````yaml /services/playfab/api-references/rest/experimentation/experimentation.openapi.json post /Experimentation/GetExperiments
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Experimentation API
  description: APIs for managing experiments.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Experimentation
    description: ''
paths:
  /Experimentation/GetExperiments:
    post:
      tags:
        - Experimentation
      summary: Get Experiments
      description: |
        Gets the details of all experiments for a title.

        Allowed entity token types: title

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | FeatureNotConfiguredForTitle | 1177 |
        | ProductDisabledForTitle | 1609 |
      operationId: GetExperiments
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetExperimentsRequest'
        description: >-
          Given a title entity token will return the list of all experiments for
          a title, including scheduled, started, stopped or completed
          experiments.
      responses:
        '200':
          $ref: '#/components/responses/GetExperimentsResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    GetExperimentsRequest:
      description: >-
        Given a title entity token will return the list of all experiments for a
        title, including scheduled, started, stopped or completed experiments.
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
      example: {}
    GetExperimentsResult:
      type: object
      properties:
        Experiments:
          description: List of experiments for the title.
          type: array
          items:
            $ref: '#/components/schemas/Experiment'
          x-isclass: true
      example:
        Experiments: []
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    Experiment:
      type: object
      properties:
        Description:
          description: Description of the experiment.
          type: string
        EndDate:
          description: When experiment should end/was ended.
          type: string
        ExclusionGroupId:
          description: Id of the exclusion group for this experiment.
          type: string
        ExclusionGroupTrafficAllocation:
          description: Percentage of exclusion group traffic that will see this experiment.
          type: number
          x-actualtype: uint32
        ExperimentType:
          allOf:
            - $ref: '#/components/schemas/ExperimentType'
          description: Type of experiment.
        Id:
          description: Id of the experiment.
          type: string
        Name:
          description: Friendly name of the experiment.
          type: string
        SegmentId:
          description: >-
            Id of the segment to which this experiment applies. Defaults to the
            'All Players' segment.
          type: string
        StartDate:
          description: When experiment should start/was started.
          type: string
        State:
          allOf:
            - $ref: '#/components/schemas/ExperimentState'
          description: State experiment is currently in.
        TitlePlayerAccountTestIds:
          description: >-
            List of title player account IDs that automatically receive
            treatments in the experiment, but are not included when calculating
            experiment metrics.
          type: array
          items:
            type: string
        Variants:
          description: List of variants for the experiment.
          type: array
          items:
            $ref: '#/components/schemas/Variant'
          x-isclass: true
      required:
        - StartDate
    ExperimentType:
      type: string
      enum:
        - Active
        - Snapshot
    ExperimentState:
      type: string
      enum:
        - New
        - Started
        - Stopped
        - Deleted
    Variant:
      type: object
      properties:
        Description:
          description: Description of the variant.
          type: string
        Id:
          description: Id of the variant.
          type: string
        IsControl:
          description: Specifies if variant is control for experiment.
          type: boolean
        Name:
          description: Name of the variant.
          type: string
        TitleDataOverrideLabel:
          description: Id of the TitleDataOverride to use with this variant.
          type: string
        TrafficPercentage:
          description: Percentage of target audience traffic that will see this variant.
          type: number
          x-actualtype: uint32
        Variables:
          description: Variables returned by this variant.
          type: array
          items:
            $ref: '#/components/schemas/Variable'
          x-isclass: true
      required:
        - Name
        - TrafficPercentage
        - IsControl
    Variable:
      type: object
      properties:
        Name:
          description: Name of the variable.
          type: string
        Value:
          description: Value of the variable.
          type: string
      required:
        - Name
  responses:
    GetExperimentsResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/GetExperimentsResult'
            example:
              code: 200
              status: OK
              data:
                Experiments: []
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [Get Experiments](/services/playfab/api-references/rest/experimentation/experimentation/get-experiments.md)
- [Experimentation APIs](/services/playfab/live-service-management/game-configuration/experiments/experimentation-apis.md)
- [PFExperimentationGetTreatmentAssignmentGetResult](/services/playfab/api-references/c/pfexperimentation/functions/pfexperimentationgettreatmentassignmentgetresult.md)
- [PFExperimentationGetTreatmentAssignmentAsync](/services/playfab/api-references/c/pfexperimentation/functions/pfexperimentationgettreatmentassignmentasync.md)
- [Experiment](/services/playfab/api-references/events/data-types/experiment.md)
